E-MailRelay

Public Member Functions | List of all members
G::DirectoryIteratorImp Class Reference

A pimple-pattern implementation class for DirectoryIterator using opendir()/readdir(). More...

## Public Member Functions
| DirectoryIteratorImp (const Directory &dir)
bool | isDir () const
bool | more ()
bool | error () const
std::string | sizeString () const
Path | filePath () const
std::string | fileName () const
| DirectoryIteratorImp (const DirectoryIteratorImp &)=delete
| DirectoryIteratorImp (DirectoryIteratorImp &&)=delete
void | operator= (const DirectoryIteratorImp &)=delete
void | operator= (DirectoryIteratorImp &&)=delete

## Detailed Description

A pimple-pattern implementation class for DirectoryIterator using opendir()/readdir().

Definition at line 43 of file gdirectory_unix.cpp.

## Constructor & Destructor Documentation

## ◆ DirectoryIteratorImp()

G::DirectoryIteratorImp::DirectoryIteratorImp | ( | const Directory & | dir | ) |
| explicit

Definition at line 143 of file gdirectory_unix.cpp.

## ◆ ~DirectoryIteratorImp()

G::DirectoryIteratorImp::~DirectoryIteratorImp | ( |  | ) |

Definition at line 188 of file gdirectory_unix.cpp.

## Member Function Documentation

## ◆ error()

bool G::DirectoryIteratorImp::error | ( |  | ) | const

Definition at line 154 of file gdirectory_unix.cpp.

## ◆ fileName()

std::string G::DirectoryIteratorImp::fileName | ( |  | ) | const

Definition at line 178 of file gdirectory_unix.cpp.

## ◆ filePath()

G::Path G::DirectoryIteratorImp::filePath | ( |  | ) | const

Definition at line 173 of file gdirectory_unix.cpp.

## ◆ isDir()

bool G::DirectoryIteratorImp::isDir | ( |  | ) | const

Definition at line 183 of file gdirectory_unix.cpp.

## ◆ more()

bool G::DirectoryIteratorImp::more | ( |  | ) |

Definition at line 159 of file gdirectory_unix.cpp.

## ◆ sizeString()

std::string G::DirectoryIteratorImp::sizeString | ( |  | ) | const

Definition at line 194 of file gdirectory_unix.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gdirectory_unix.cpp